<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.http-authentication-factory.mechanism-configurations">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="mechanism-name,host-name,protocol,pre-realm-principal-transformer,post-realm-principal-transformer,final-principal-transformer,realm-mapper,mechanism-realm-configurations,credential-security-factory"/>
        <elem name="complex-attribute" value="mechanism-configurations"/>
        <elem name="addr-params" value="profile,host,subsystem,http-authentication-factory"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.http-authentication-factory"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="final-principal-transformer" nillable="true"/>
        <param name="mechanism-realm-configurations" nillable="true" type="List&lt;String&gt;"/>
        <param name="profile" default="GLN_UNDEFINED"/>
        <param name="post-realm-principal-transformer" nillable="true"/>
        <param name="subsystem"/>
        <param name="host-name" nillable="true"/>
        <param name="pre-realm-principal-transformer" nillable="true"/>
        <param name="http-authentication-factory"/>
        <param name="mechanism-name" nillable="true"/>
        <param name="protocol" nillable="true"/>
        <param name="realm-mapper" nillable="true"/>
        <param name="credential-security-factory" nillable="true"/>
        <param name="host" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>